CREATE TABLE LogFinBancos ( 
TipoProc VARCHAR(10) NOT NULL,
Numero INT DEFAULT ((0)) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
FechaApl SMALLDATETIME NOT NULL,
Secuencia VARCHAR(10),
NitEntidad VARCHAR(16) NOT NULL,
NomEntidad VARCHAR(150),
CodConvenio VARCHAR(20),
ValorTotal MONEY DEFAULT ((0)) NOT NULL,
Cantidad DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
NomArchivo VARCHAR(250),
FecVenInicial SMALLDATETIME,
FecVenFinal SMALLDATETIME,
Referencia VARCHAR(150),
EstadoReg INT DEFAULT ((0)) NOT NULL,
Observacion VARCHAR(500),
FechaCrea SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50)
 CONSTRAINT PK_LogFinBancos PRIMARY KEY CLUSTERED (TipoProc,Numero),
 CONSTRAINT CK_LogFinBancosIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_LogFinBancosNitEntidad CHECK ((len([NitEntidad])>(0))),
 CONSTRAINT CK_LogFinBancosTipoProc CHECK ((len([TipoProc])>(0))))
CREATE TABLE LogFinBancosDet ( 
TipoProc VARCHAR(10) NOT NULL,
Numero INT DEFAULT ((0)) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
TipDoc VARCHAR(3) DEFAULT ('PR1') NOT NULL,
IdPrestamo INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) DEFAULT ('01') NOT NULL,
ItemVce INT DEFAULT ((0)) NOT NULL,
NumCuota INT DEFAULT ((0)) NOT NULL,
FechaVence SMALLDATETIME NOT NULL,
VrTotal MONEY DEFAULT ((0)) NOT NULL,
VrAbonado MONEY DEFAULT ((0)) NOT NULL,
IdCliente VARCHAR(16) NOT NULL,
IdAgencia VARCHAR(16),
Concepto VARCHAR(10) NOT NULL,
TipoCartera VARCHAR(10) NOT NULL,
FecUltPago SMALLDATETIME,
CodLinCred VARCHAR(4),
CodBanco VARCHAR(10) NOT NULL,
NumCuenta VARCHAR(20),
TipoTrans VARCHAR(10),
VrPagado MONEY DEFAULT ((0)) NOT NULL,
Referencia1 VARCHAR(50),
Referencia2 VARCHAR(50),
FecAplica SMALLDATETIME,
Periodo VARCHAR(20),
CicloFact VARCHAR(20),
Estado INT DEFAULT ((0)) NOT NULL,
Descripcion VARCHAR(500),
NomCliente VARCHAR(150),
NomAgencia VARCHAR(150),
LineaCred VARCHAR(50)
 CONSTRAINT PK_LogFinBancosDet PRIMARY KEY CLUSTERED (TipoProc,Numero,Item),
 CONSTRAINT CK_LogFinBancosDetCodBanco CHECK ((len([CodBanco])>(0))),
 CONSTRAINT CK_LogFinBancosDetConcepto CHECK ((len([Concepto])>(0))),
 CONSTRAINT CK_LogFinBancosDetIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_LogFinBancosDetIdCliente CHECK ((len([IdCliente])>(0))),
 CONSTRAINT CK_LogFinBancosDetTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_LogFinBancosDetTipoCartera CHECK ((len([TipoCartera])>(0))),
 CONSTRAINT CK_LogFinBancosDetTipoProc CHECK ((len([TipoProc])>(0))))
GO
CREATE NONCLUSTERED INDEX IX_LogFinBancosFecha ON LogFinBancos(Fecha)
 CREATE NONCLUSTERED INDEX IX_LogFinBancosDetIdPrestamo ON LogFinBancosDet(TipDoc,IdPrestamo,IdCia)
 CREATE NONCLUSTERED INDEX IX_LogFinBancosDetIdCliente ON LogFinBancosDet(IdCliente)
